source: squid-ssl/trunk/fuentes/lib/rfcnb/Makefile @ 5495

Last change on this file since 5495 was 5495, checked in by Juanma, 22 months ago

Initial release

File size: 38.2 KB
Line 
1# Makefile.in generated by automake 1.15 from Makefile.am.
2# lib/rfcnb/Makefile.  Generated from Makefile.in by configure.
3
4# Copyright (C) 1994-2014 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15
16
17
18am__is_gnu_make = { \
19  if test -z '$(MAKELEVEL)'; then \
20    false; \
21  elif test -n '$(MAKE_HOST)'; then \
22    true; \
23  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
24    true; \
25  else \
26    false; \
27  fi; \
28}
29am__make_running_with_option = \
30  case $${target_option-} in \
31      ?) ;; \
32      *) echo "am__make_running_with_option: internal error: invalid" \
33              "target option '$${target_option-}' specified" >&2; \
34         exit 1;; \
35  esac; \
36  has_opt=no; \
37  sane_makeflags=$$MAKEFLAGS; \
38  if $(am__is_gnu_make); then \
39    sane_makeflags=$$MFLAGS; \
40  else \
41    case $$MAKEFLAGS in \
42      *\\[\ \   ]*) \
43        bs=\\; \
44        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
45          | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
46    esac; \
47  fi; \
48  skip_next=no; \
49  strip_trailopt () \
50  { \
51    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
52  }; \
53  for flg in $$sane_makeflags; do \
54    test $$skip_next = yes && { skip_next=no; continue; }; \
55    case $$flg in \
56      *=*|--*) continue;; \
57        -*I) strip_trailopt 'I'; skip_next=yes;; \
58      -*I?*) strip_trailopt 'I';; \
59        -*O) strip_trailopt 'O'; skip_next=yes;; \
60      -*O?*) strip_trailopt 'O';; \
61        -*l) strip_trailopt 'l'; skip_next=yes;; \
62      -*l?*) strip_trailopt 'l';; \
63      -[dEDm]) skip_next=yes;; \
64      -[JT]) skip_next=yes;; \
65    esac; \
66    case $$flg in \
67      *$$target_option*) has_opt=yes; break;; \
68    esac; \
69  done; \
70  test $$has_opt = yes
71am__make_dryrun = (target_option=n; $(am__make_running_with_option))
72am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
73pkgdatadir = $(datadir)/squid
74pkgincludedir = $(includedir)/squid
75pkglibdir = $(libdir)/squid
76pkglibexecdir = $(libexecdir)/squid
77am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
78install_sh_DATA = $(install_sh) -c -m 644
79install_sh_PROGRAM = $(install_sh) -c
80install_sh_SCRIPT = $(install_sh) -c
81INSTALL_HEADER = $(INSTALL_DATA)
82transform = $(program_transform_name)
83NORMAL_INSTALL = :
84PRE_INSTALL = :
85POST_INSTALL = :
86NORMAL_UNINSTALL = :
87PRE_UNINSTALL = :
88POST_UNINSTALL = :
89build_triplet = x86_64-pc-linux-gnu
90host_triplet = x86_64-pc-linux-gnu
91check_PROGRAMS =
92TESTS =
93am__append_1 = $(INCLTDL)
94subdir = lib/rfcnb
95ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
96am__aclocal_m4_deps = $(top_srcdir)/acinclude/ax_with_prog.m4 \
97        $(top_srcdir)/acinclude/init.m4 \
98        $(top_srcdir)/acinclude/squid-util.m4 \
99        $(top_srcdir)/acinclude/compiler-flags.m4 \
100        $(top_srcdir)/acinclude/os-deps.m4 \
101        $(top_srcdir)/acinclude/krb5.m4 $(top_srcdir)/acinclude/pam.m4 \
102        $(top_srcdir)/acinclude/pkg.m4 \
103        $(top_srcdir)/acinclude/lib-checks.m4 \
104        $(top_srcdir)/acinclude/ax_cxx_compile_stdcxx_11.m4 \
105        $(top_srcdir)/acinclude/ax_cxx_0x_types.m4 \
106        $(top_srcdir)/helpers/basic_auth/modules.m4 \
107        $(top_srcdir)/helpers/basic_auth/DB/required.m4 \
108        $(top_srcdir)/helpers/basic_auth/LDAP/required.m4 \
109        $(top_srcdir)/helpers/basic_auth/MSNT-multi-domain/required.m4 \
110        $(top_srcdir)/helpers/basic_auth/NCSA/required.m4 \
111        $(top_srcdir)/helpers/basic_auth/NIS/required.m4 \
112        $(top_srcdir)/helpers/basic_auth/PAM/required.m4 \
113        $(top_srcdir)/helpers/basic_auth/POP3/required.m4 \
114        $(top_srcdir)/helpers/basic_auth/RADIUS/required.m4 \
115        $(top_srcdir)/helpers/basic_auth/SASL/required.m4 \
116        $(top_srcdir)/helpers/basic_auth/SMB/required.m4 \
117        $(top_srcdir)/helpers/basic_auth/SMB_LM/required.m4 \
118        $(top_srcdir)/helpers/basic_auth/SSPI/required.m4 \
119        $(top_srcdir)/helpers/basic_auth/fake/required.m4 \
120        $(top_srcdir)/helpers/basic_auth/getpwnam/required.m4 \
121        $(top_srcdir)/helpers/digest_auth/modules.m4 \
122        $(top_srcdir)/helpers/digest_auth/LDAP/required.m4 \
123        $(top_srcdir)/helpers/digest_auth/eDirectory/required.m4 \
124        $(top_srcdir)/helpers/digest_auth/file/required.m4 \
125        $(top_srcdir)/helpers/negotiate_auth/modules.m4 \
126        $(top_srcdir)/helpers/negotiate_auth/SSPI/required.m4 \
127        $(top_srcdir)/helpers/negotiate_auth/kerberos/required.m4 \
128        $(top_srcdir)/helpers/negotiate_auth/wrapper/required.m4 \
129        $(top_srcdir)/helpers/ntlm_auth/modules.m4 \
130        $(top_srcdir)/helpers/ntlm_auth/fake/required.m4 \
131        $(top_srcdir)/helpers/ntlm_auth/SSPI/required.m4 \
132        $(top_srcdir)/helpers/ntlm_auth/smb_lm/required.m4 \
133        $(top_srcdir)/helpers/log_daemon/modules.m4 \
134        $(top_srcdir)/helpers/log_daemon/DB/required.m4 \
135        $(top_srcdir)/helpers/log_daemon/file/required.m4 \
136        $(top_srcdir)/helpers/external_acl/modules.m4 \
137        $(top_srcdir)/helpers/external_acl/AD_group/required.m4 \
138        $(top_srcdir)/helpers/external_acl/LDAP_group/required.m4 \
139        $(top_srcdir)/helpers/external_acl/LM_group/required.m4 \
140        $(top_srcdir)/helpers/external_acl/delayer/required.m4 \
141        $(top_srcdir)/helpers/external_acl/SQL_session/required.m4 \
142        $(top_srcdir)/helpers/external_acl/eDirectory_userip/required.m4 \
143        $(top_srcdir)/helpers/external_acl/file_userip/required.m4 \
144        $(top_srcdir)/helpers/external_acl/kerberos_ldap_group/required.m4 \
145        $(top_srcdir)/helpers/external_acl/session/required.m4 \
146        $(top_srcdir)/helpers/external_acl/time_quota/required.m4 \
147        $(top_srcdir)/helpers/external_acl/unix_group/required.m4 \
148        $(top_srcdir)/helpers/external_acl/wbinfo_group/required.m4 \
149        $(top_srcdir)/helpers/url_rewrite/modules.m4 \
150        $(top_srcdir)/helpers/url_rewrite/fake/required.m4 \
151        $(top_srcdir)/helpers/storeid_rewrite/modules.m4 \
152        $(top_srcdir)/helpers/storeid_rewrite/file/required.m4 \
153        $(top_srcdir)/configure.ac
154am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
155        $(ACLOCAL_M4)
156DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
157mkinstalldirs = $(install_sh) -d
158CONFIG_HEADER = $(top_builddir)/include/autoconf.h
159CONFIG_CLEAN_FILES =
160CONFIG_CLEAN_VPATH_FILES =
161LTLIBRARIES = $(noinst_LTLIBRARIES)
162librfcnb_la_LIBADD =
163am_librfcnb_la_OBJECTS = rfcnb-io.lo rfcnb-util.lo session.lo
164librfcnb_la_OBJECTS = $(am_librfcnb_la_OBJECTS)
165AM_V_lt = $(am__v_lt_$(V))
166am__v_lt_ = $(am__v_lt_$(AM_DEFAULT_VERBOSITY))
167am__v_lt_0 = --silent
168am__v_lt_1 = 
169AM_V_P = $(am__v_P_$(V))
170am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
171am__v_P_0 = false
172am__v_P_1 = :
173AM_V_GEN = $(am__v_GEN_$(V))
174am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
175am__v_GEN_0 = @echo "  GEN     " $@;
176am__v_GEN_1 = 
177AM_V_at = $(am__v_at_$(V))
178am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
179am__v_at_0 = @
180am__v_at_1 = 
181DEFAULT_INCLUDES = 
182depcomp = $(SHELL) $(top_srcdir)/cfgaux/depcomp
183am__depfiles_maybe = depfiles
184am__mv = mv -f
185COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
186        $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
187LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
188        $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
189        $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
190        $(AM_CFLAGS) $(CFLAGS)
191AM_V_CC = $(am__v_CC_$(V))
192am__v_CC_ = $(am__v_CC_$(AM_DEFAULT_VERBOSITY))
193am__v_CC_0 = @echo "  CC      " $@;
194am__v_CC_1 = 
195CCLD = $(CC)
196LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
197        $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
198        $(AM_LDFLAGS) $(LDFLAGS) -o $@
199AM_V_CCLD = $(am__v_CCLD_$(V))
200am__v_CCLD_ = $(am__v_CCLD_$(AM_DEFAULT_VERBOSITY))
201am__v_CCLD_0 = @echo "  CCLD    " $@;
202am__v_CCLD_1 = 
203SOURCES = $(librfcnb_la_SOURCES)
204DIST_SOURCES = $(librfcnb_la_SOURCES)
205am__can_run_installinfo = \
206  case $$AM_UPDATE_INFO_DIR in \
207    n|no|NO) false;; \
208    *) (install-info --version) >/dev/null 2>&1;; \
209  esac
210am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
211# Read a list of newline-separated strings from the standard input,
212# and print each of them once, without duplicates.  Input order is
213# *not* preserved.
214am__uniquify_input = $(AWK) '\
215  BEGIN { nonempty = 0; } \
216  { items[$$0] = 1; nonempty = 1; } \
217  END { if (nonempty) { for (i in items) print i; }; } \
218'
219# Make sure the list of sources is unique.  This is necessary because,
220# e.g., the same source file might be shared among _SOURCES variables
221# for different programs/libraries.
222am__define_uniq_tagged_files = \
223  list='$(am__tagged_files)'; \
224  unique=`for i in $$list; do \
225    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
226  done | $(am__uniquify_input)`
227ETAGS = etags
228CTAGS = ctags
229am__tty_colors_dummy = \
230  mgn= red= grn= lgn= blu= brg= std=; \
231  am__color_tests=no
232am__tty_colors = { \
233  $(am__tty_colors_dummy); \
234  if test "X$(AM_COLOR_TESTS)" = Xno; then \
235    am__color_tests=no; \
236  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
237    am__color_tests=yes; \
238  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
239    am__color_tests=yes; \
240  fi; \
241  if test $$am__color_tests = yes; then \
242    red='[0;31m'; \
243    grn='[0;32m'; \
244    lgn='[1;32m'; \
245    blu='[1;34m'; \
246    mgn='[0;35m'; \
247    brg='[1m'; \
248    std='[m'; \
249  fi; \
250}
251am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
252am__vpath_adj = case $$p in \
253    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
254    *) f=$$p;; \
255  esac;
256am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
257am__install_max = 40
258am__nobase_strip_setup = \
259  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
260am__nobase_strip = \
261  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
262am__nobase_list = $(am__nobase_strip_setup); \
263  for p in $$list; do echo "$$p $$p"; done | \
264  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
265  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
266    if (++n[$$2] == $(am__install_max)) \
267      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
268    END { for (dir in files) print dir, files[dir] }'
269am__base_list = \
270  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
271  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
272am__uninstall_files_from_dir = { \
273  test -z "$$files" \
274    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
275    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
276         $(am__cd) "$$dir" && rm -f $$files; }; \
277  }
278am__recheck_rx = ^[     ]*:recheck:[    ]*
279am__global_test_result_rx = ^[  ]*:global-test-result:[         ]*
280am__copy_in_global_log_rx = ^[  ]*:copy-in-global-log:[         ]*
281# A command that, given a newline-separated list of test names on the
282# standard input, print the name of the tests that are to be re-run
283# upon "make recheck".
284am__list_recheck_tests = $(AWK) '{ \
285  recheck = 1; \
286  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
287    { \
288      if (rc < 0) \
289        { \
290          if ((getline line2 < ($$0 ".log")) < 0) \
291            recheck = 0; \
292          break; \
293        } \
294      else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
295        { \
296          recheck = 0; \
297          break; \
298        } \
299      else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
300        { \
301          break; \
302        } \
303    }; \
304  if (recheck) \
305    print $$0; \
306  close ($$0 ".trs"); \
307  close ($$0 ".log"); \
308}'
309# A command that, given a newline-separated list of test names on the
310# standard input, create the global log from their .trs and .log files.
311am__create_global_log = $(AWK) ' \
312function fatal(msg) \
313{ \
314  print "fatal: making $@: " msg | "cat >&2"; \
315  exit 1; \
316} \
317function rst_section(header) \
318{ \
319  print header; \
320  len = length(header); \
321  for (i = 1; i <= len; i = i + 1) \
322    printf "="; \
323  printf "\n\n"; \
324} \
325{ \
326  copy_in_global_log = 1; \
327  global_test_result = "RUN"; \
328  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
329    { \
330      if (rc < 0) \
331         fatal("failed to read from " $$0 ".trs"); \
332      if (line ~ /$(am__global_test_result_rx)/) \
333        { \
334          sub("$(am__global_test_result_rx)", "", line); \
335          sub("[        ]*$$", "", line); \
336          global_test_result = line; \
337        } \
338      else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
339        copy_in_global_log = 0; \
340    }; \
341  if (copy_in_global_log) \
342    { \
343      rst_section(global_test_result ": " $$0); \
344      while ((rc = (getline line < ($$0 ".log"))) != 0) \
345      { \
346        if (rc < 0) \
347          fatal("failed to read from " $$0 ".log"); \
348        print line; \
349      }; \
350      printf "\n"; \
351    }; \
352  close ($$0 ".trs"); \
353  close ($$0 ".log"); \
354}'
355# Restructured Text title.
356am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
357# Solaris 10 'make', and several other traditional 'make' implementations,
358# pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
359# by disabling -e (using the XSI extension "set +e") if it's set.
360am__sh_e_setup = case $$- in *e*) set +e;; esac
361# Default flags passed to test drivers.
362am__common_driver_flags = \
363  --color-tests "$$am__color_tests" \
364  --enable-hard-errors "$$am__enable_hard_errors" \
365  --expect-failure "$$am__expect_failure"
366# To be inserted before the command running the test.  Creates the
367# directory for the log if needed.  Stores in $dir the directory
368# containing $f, in $tst the test, in $log the log.  Executes the
369# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
370# passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
371# will run the test scripts (or their associated LOG_COMPILER, if
372# thy have one).
373am__check_pre = \
374$(am__sh_e_setup);                                      \
375$(am__vpath_adj_setup) $(am__vpath_adj)                 \
376$(am__tty_colors);                                      \
377srcdir=$(srcdir); export srcdir;                        \
378case "$@" in                                            \
379  */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;    \
380    *) am__odir=.;;                                     \
381esac;                                                   \
382test "x$$am__odir" = x"." || test -d "$$am__odir"       \
383  || $(MKDIR_P) "$$am__odir" || exit $$?;               \
384if test -f "./$$f"; then dir=./;                        \
385elif test -f "$$f"; then dir=;                          \
386else dir="$(srcdir)/"; fi;                              \
387tst=$$dir$$f; log='$@';                                 \
388if test -n '$(DISABLE_HARD_ERRORS)'; then               \
389  am__enable_hard_errors=no;                            \
390else                                                    \
391  am__enable_hard_errors=yes;                           \
392fi;                                                     \
393case " $(XFAIL_TESTS) " in                              \
394  *[\ \ ]$$f[\ \        ]* | *[\ \      ]$$dir$$f[\ \   ]*) \
395    am__expect_failure=yes;;                            \
396  *)                                                    \
397    am__expect_failure=no;;                             \
398esac;                                                   \
399$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
400# A shell command to get the names of the tests scripts with any registered
401# extension removed (i.e., equivalently, the names of the test logs, with
402# the '.log' extension removed).  The result is saved in the shell variable
403# '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
404# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
405# since that might cause problem with VPATH rewrites for suffix-less tests.
406# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
407am__set_TESTS_bases = \
408  bases='$(TEST_LOGS)'; \
409  bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
410  bases=`echo $$bases`
411RECHECK_LOGS = $(TEST_LOGS)
412AM_RECURSIVE_TARGETS = check recheck
413TEST_SUITE_LOG = test-suite.log
414TEST_EXTENSIONS =  .test
415am__test_logs1 = $(TESTS:=.log)
416am__test_logs2 = $(am__test_logs1:.log=.log)
417TEST_LOGS = $(am__test_logs2:.test.log=.log)
418TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/cfgaux/test-driver
419TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
420        $(TEST_LOG_FLAGS)
421am__set_b = \
422  case '$@' in \
423    */*) \
424      case '$*' in \
425        */*) b='$*';; \
426          *) b=`echo '$@' | sed 's/\.log$$//'`; \
427       esac;; \
428    *) \
429      b='$*';; \
430  esac
431am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/cfgaux/depcomp \
432        $(top_srcdir)/cfgaux/test-driver $(top_srcdir)/src/Common.am
433DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
434ACLOCAL = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/missing aclocal-1.15
435ADAPTATION_LIBS = adaptation/libadaptation.la
436ALLOCA =
437AMTAR = $${TAR-tar}
438AM_DEFAULT_VERBOSITY = 1
439AR = /usr/bin/ar
440AR_R = /usr/bin/ar r
441AUTH_LIBS_TO_BUILD =  basic/libbasic.la digest/libdigest.la negotiate/libnegotiate.la ntlm/libntlm.la
442AUTH_MODULES =  basic digest negotiate ntlm
443AUTOCONF = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/missing autoconf
444AUTOHEADER = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/missing autoheader
445AUTOMAKE = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/missing automake-1.15
446AWK = gawk
447BASIC_AUTH_HELPERS =  DB fake getpwnam LDAP NCSA NIS PAM POP3 RADIUS SASL SMB
448BUILDCXX = g++
449BUILDCXXFLAGS = -g -O2 -fPIE -fstack-protector-strong -Wformat -Werror=format-security -Wl,-Bsymbolic-functions -fPIE -pie -Wl,-z,relro -Wl,-z,now
450BZR =
451CACHE_EFFECTIVE_USER = proxy
452CC = gcc
453CCDEPMODE = depmode=none
454CFLAGS = -m64 -g -O2 -fPIE -fstack-protector-strong -Wformat -Werror=format-security -Wall
455CGIEXT = .cgi
456CHMOD = /bin/chmod
457CPP = gcc -E
458CPPFLAGS = -I/usr/include/libxml2 -Wdate-time -D_FORTIFY_SOURCE=2
459CPPUNITCONFIG = /usr/bin/cppunit-config
460CRYPTLIB = -lcrypt
461CXX = g++
462CXXCPP = g++ -E
463CXXDEPMODE = depmode=none
464CXXFLAGS = -m64  -I/usr/include/p11-kit-1 -g -O2 -fPIE -fstack-protector-strong -Wformat -Werror=format-security -std=c++11
465CYGPATH_W = echo
466DEFAULT_HOSTS = /etc/hosts
467DEFAULT_LOG_DIR = /var/log/squid-ssl
468DEFAULT_PID_FILE = /var/run/squid-ssl.pid
469DEFAULT_SWAP_DIR = /var/spool/squid-ssl
470DEFS = -DHAVE_CONFIG_H
471DEPDIR = .deps
472DIGEST_AUTH_HELPERS =  file LDAP
473DISK_LIBS =  libAIO.a libBlocking.a libDiskDaemon.a libDiskThreads.a libIpcIo.a libMmapped.a
474DISK_LINKOBJS =  DiskIO/AIO/AIODiskIOModule.o DiskIO/Blocking/BlockingDiskIOModule.o DiskIO/DiskDaemon/DiskDaemonDiskIOModule.o DiskIO/DiskThreads/DiskThreadsDiskIOModule.o DiskIO/IpcIo/IpcIoDiskIOModule.o DiskIO/Mmapped/MmappedDiskIOModule.o
475DISK_MODULES =  AIO Blocking DiskDaemon DiskThreads IpcIo Mmapped
476DISK_OS_LIBS =  -lrt -lpthread
477DISK_PROGRAMS =  DiskIO/DiskDaemon/diskd
478DLLTOOL = false
479DSYMUTIL =
480DUMPBIN =
481ECAP_LIBS = ecap/libsquid-ecap.la
482ECHO_C =
483ECHO_N = -n
484ECHO_T =
485EGREP = /bin/egrep
486EPOLL_LIBS =
487EUILIB =
488EXEEXT =
489EXPATLIB = -lexpat
490EXTERNAL_ACL_HELPERS =  file_userip kerberos_ldap_group LDAP_group session SQL_session unix_group wbinfo_group
491EXT_LIBECAP_CFLAGS =
492EXT_LIBECAP_LIBS = -lecap
493FALSE = /bin/false
494FGREP = /bin/fgrep
495GREP = grep
496HAVE_CXX11 = 1
497ICAP_LIBS = icap/libicap.la
498INCLTDL =
499INSTALL = /usr/bin/install -c
500INSTALL_DATA = ${INSTALL} -m 644
501INSTALL_PROGRAM = ${INSTALL}
502INSTALL_SCRIPT = ${INSTALL}
503INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
504KRB5INCS = -isystem /usr/include/mit-krb5
505KRB5LIBS =  -L/usr/lib/x86_64-linux-gnu/mit-krb5 -lgssapi_krb5 -lkrb5 -lk5crypto -lcom_err
506LBERLIB = -llber
507LD = /usr/bin/ld -m elf_x86_64
508LDAPLIB = -lldap
509LDFLAGS = -m64 -Wl,-Bsymbolic-functions -fPIE -pie -Wl,-z,relro -Wl,-z,now
510LIBADD_DL = -ldl
511LIBADD_DLD_LINK =
512LIBADD_DLOPEN = -ldl
513LIBADD_SHL_LOAD =
514LIBGNUTLS_CFLAGS = -I/usr/include/p11-kit-1
515LIBGNUTLS_LIBS = -lgnutls
516LIBLTDL = -lltdl
517LIBOBJS =
518LIBOPENSSL_CFLAGS =
519LIBOPENSSL_LIBS = -lssl -lcrypto
520LIBS =
521LIBSASL = -lsasl2
522LIBTOOL = $(SHELL) $(top_builddir)/libtool
523LIB_DB = -ldb
524LIB_KRB5_CFLAGS = -isystem /usr/include/mit-krb5
525LIB_KRB5_LIBS = -L/usr/lib/x86_64-linux-gnu/mit-krb5 -lgssapi_krb5 -lkrb5 -lk5crypto -lcom_err
526LINUXDOC = /bin/false
527LIPO =
528LN = /bin/ln
529LN_S = ln -s
530LOG_DAEMON_HELPERS =  DB file
531LTDLDEPS =
532LTDLINCL =
533LTDLOPEN = libltdl
534LTLIBOBJS =
535LT_ARGZ_H =
536LT_CONFIG_H = include/autoconf.h
537LT_DLLOADERS =  libltdl/dlopen.la
538LT_DLPREOPEN = -dlpreopen libltdl/dlopen.la
539LT_SYS_LIBRARY_PATH =
540MAINT = #
541MAKEINFO = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/missing makeinfo
542MANIFEST_TOOL = :
543MINGW_LIBS =
544MKDIR = /bin/mkdir
545MKDIR_P = /bin/mkdir -p
546MV = /bin/mv
547NEGOTIATE_AUTH_HELPERS =  kerberos wrapper
548NETTLELIB =  -lnettle
549NM = /usr/bin/nm -B
550NMEDIT =
551NTLM_AUTH_HELPERS =  fake smb_lm
552OBJDUMP = objdump
553OBJEXT = o
554OTOOL =
555OTOOL64 =
556PACKAGE = squid
557PACKAGE_BUGREPORT = http://bugs.squid-cache.org/
558PACKAGE_NAME = Squid Web Proxy
559PACKAGE_STRING = Squid Web Proxy 3.5.12
560PACKAGE_TARNAME = squid
561PACKAGE_URL =
562PACKAGE_VERSION = 3.5.12
563PATH_SEPARATOR = :
564PERL = /usr/bin/perl
565PKG_CONFIG = /usr/bin/pkg-config
566PKG_CONFIG_LIBDIR =
567PKG_CONFIG_PATH =
568PO2HTML = off
569PO2TEXT = off
570POD2MAN = /usr/bin/pod2man
571RANLIB = ranlib
572REGEXLIB =
573REPL_LIBS = liblru.a libheap.a
574REPL_OBJS = repl/liblru.a repl/libheap.a
575REPL_POLICIES = lru heap
576RM = /bin/rm -f
577SED = /bin/sed
578SET_MAKE =
579SH = /bin/sh
580SHELL = /bin/bash
581SMBCLIENT = /usr/bin/smbclient
582SNMPLIB = ../lib/snmplib/libsnmplib.la
583SQUID_CFLAGS = -Wall -Wpointer-arith -Wwrite-strings -Wmissing-prototypes -Wmissing-declarations -Wcomments -Wshadow -Werror -pipe -D_REENTRANT
584SQUID_CPPUNIT_INC =
585SQUID_CPPUNIT_LA =
586SQUID_CPPUNIT_LIBS = -L/usr/lib/x86_64-linux-gnu -lcppunit -ldl
587SQUID_CXXFLAGS = -I/usr/include/libxml2 -Wall -Wpointer-arith -Wwrite-strings -Wcomments -Wshadow -Werror -pipe -D_REENTRANT
588SSLLIB =  -lssl -lcrypto  -lgnutls
589STOREID_REWRITE_HELPERS =  file
590STORE_LIBS_TO_ADD =  fs/libufs.la fs/libaufs.la fs/libdiskd.la fs/librock.la
591STORE_LIBS_TO_BUILD =  libufs.la libaufs.la libdiskd.la librock.la
592STORE_TESTS =
593STRIP = strip
594TR = /usr/bin/tr
595TRUE = /bin/true
596URL_REWRITE_HELPERS =  fake
597VERSION = 3.5.12
598WBINFO =
599WIN32_PSAPI =
600XMLLIB = -lxml2
601XTRA_LIBS = -lm -lnsl -lresolv -lcap -lnetfilter_conntrack -lrt
602XTRA_OBJS =
603abs_builddir = /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/lib/rfcnb
604abs_srcdir = /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/lib/rfcnb
605abs_top_builddir = /media/sdb/svn/xenial/squid-ssl/trunk/fuentes
606abs_top_srcdir = /media/sdb/svn/xenial/squid-ssl/trunk/fuentes
607ac_ct_AR =
608ac_ct_CC = gcc
609ac_ct_CXX = g++
610ac_ct_DUMPBIN =
611am__include = include
612am__leading_dot = .
613am__quote =
614am__tar = tar --format=ustar -chf - "$$tardir"
615am__untar = tar -xf -
616bindir = ${exec_prefix}/bin
617build = x86_64-pc-linux-gnu
618build_alias = x86_64-linux-gnu
619build_cpu = x86_64
620build_os = linux-gnu
621build_vendor = pc
622builddir = .
623datadir = /usr/share/squid-ssl
624datarootdir = ${prefix}/share
625docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
626dvidir = ${docdir}
627exec_prefix = ${prefix}
628host = x86_64-pc-linux-gnu
629host_alias =
630host_cpu = x86_64
631host_os = linux-gnu
632host_vendor = pc
633htmldir = ${docdir}
634includedir = ${prefix}/include
635infodir = ${prefix}/share/info
636install_sh = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/install-sh
637krb5_config =
638libdir = ${exec_prefix}/lib
639libexecdir = /usr/lib/squid-ssl
640localedir = ${datarootdir}/locale
641localstatedir = /var
642ltdl_LIBOBJS =  lt__strl.o
643ltdl_LTLIBOBJS =  lt__strl.lo
644mandir = /usr/share/man
645mkdir_p = $(MKDIR_P)
646oldincludedir = /usr/include
647pdfdir = ${docdir}
648prefix = /usr
649program_transform_name = s&$$&-ssl&
650psdir = ${docdir}
651runstatedir = ${localstatedir}/run
652sbindir = ${exec_prefix}/sbin
653sharedstatedir = ${prefix}/com
654srcdir = .
655subdirs =  libltdl
656sys_symbol_underscore = no
657sysconfdir = /etc/squid-ssl
658target_alias =
659top_build_prefix = ../../
660top_builddir = ../..
661top_srcdir = ../..
662AM_CFLAGS = $(SQUID_CFLAGS)
663AM_CXXFLAGS = $(SQUID_CXXFLAGS)
664CLEANFILES =
665AM_CPPFLAGS = -I$(top_srcdir) -I$(top_srcdir)/include \
666        -I$(top_srcdir)/lib -I$(top_srcdir)/src \
667        -I$(top_builddir)/include $(SQUID_CPPUNIT_INC) $(KRB5INCS) \
668        $(am__append_1) -I$(top_srcdir)/lib
669LIBPROFILER =
670#LIBPROFILER = $(top_builddir)/lib/profiler/libprofiler.la
671COMPAT_LIB = $(top_builddir)/compat/libcompat-squid.la $(LIBPROFILER)
672subst_perlshell = sed -e 's,[@]PERL[@],$(PERL),g' <$(srcdir)/$@.pl.in >$@ || ($(RM) -f $@ ; exit 1)
673noinst_LTLIBRARIES = librfcnb.la
674librfcnb_la_SOURCES = \
675        byteorder.h \
676        rfcnb.h \
677        rfcnb-common.h \
678        rfcnb-error.h \
679        rfcnb-priv.h \
680        rfcnb-util.h \
681        rfcnb-io.h \
682        rfcnb-io.c \
683        rfcnb-util.c \
684        rfcnb-util.h \
685        session.c \
686        std-includes.h
687
688all: all-am
689
690.SUFFIXES:
691.SUFFIXES: .c .lo .log .o .obj .test .test$(EXEEXT) .trs
692$(srcdir)/Makefile.in: # $(srcdir)/Makefile.am $(top_srcdir)/src/Common.am $(am__configure_deps)
693        @for dep in $?; do \
694          case '$(am__configure_deps)' in \
695            *$$dep*) \
696              ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
697                && { if test -f $@; then exit 0; else break; fi; }; \
698              exit 1;; \
699          esac; \
700        done; \
701        echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu lib/rfcnb/Makefile'; \
702        $(am__cd) $(top_srcdir) && \
703          $(AUTOMAKE) --gnu lib/rfcnb/Makefile
704Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
705        @case '$?' in \
706          *config.status*) \
707            cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
708          *) \
709            echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
710            cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
711        esac;
712$(top_srcdir)/src/Common.am $(am__empty):
713
714$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
715        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
716
717$(top_srcdir)/configure: # $(am__configure_deps)
718        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
719$(ACLOCAL_M4): # $(am__aclocal_m4_deps)
720        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
721$(am__aclocal_m4_deps):
722
723clean-noinstLTLIBRARIES:
724        -test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
725        @list='$(noinst_LTLIBRARIES)'; \
726        locs=`for p in $$list; do echo $$p; done | \
727              sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
728              sort -u`; \
729        test -z "$$locs" || { \
730          echo rm -f $${locs}; \
731          rm -f $${locs}; \
732        }
733
734librfcnb.la: $(librfcnb_la_OBJECTS) $(librfcnb_la_DEPENDENCIES) $(EXTRA_librfcnb_la_DEPENDENCIES)
735        $(AM_V_CCLD)$(LINK)  $(librfcnb_la_OBJECTS) $(librfcnb_la_LIBADD) $(LIBS)
736
737clean-checkPROGRAMS:
738        @list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
739        echo " rm -f" $$list; \
740        rm -f $$list || exit $$?; \
741        test -n "$(EXEEXT)" || exit 0; \
742        list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
743        echo " rm -f" $$list; \
744        rm -f $$list
745
746mostlyclean-compile:
747        -rm -f *.$(OBJEXT)
748
749distclean-compile:
750        -rm -f *.tab.c
751
752#include ./$(DEPDIR)/rfcnb-io.Plo
753#include ./$(DEPDIR)/rfcnb-util.Plo
754#include ./$(DEPDIR)/session.Plo
755
756.c.o:
757#       $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
758#       $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
759#       $(am__mv) $$depbase.Tpo $$depbase.Po
760#       $(AM_V_CC)source='$<' object='$@' libtool=no
761#       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp)
762        $(AM_V_CC)$(COMPILE) -c -o $@ $<
763
764.c.obj:
765#       $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
766#       $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
767#       $(am__mv) $$depbase.Tpo $$depbase.Po
768#       $(AM_V_CC)source='$<' object='$@' libtool=no
769#       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp)
770        $(AM_V_CC)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
771
772.c.lo:
773#       $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
774#       $(LTCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
775#       $(am__mv) $$depbase.Tpo $$depbase.Plo
776#       $(AM_V_CC)source='$<' object='$@' libtool=yes
777#       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp)
778        $(AM_V_CC)$(LTCOMPILE) -c -o $@ $<
779
780mostlyclean-libtool:
781        -rm -f *.lo
782
783clean-libtool:
784        -rm -rf .libs _libs
785
786ID: $(am__tagged_files)
787        $(am__define_uniq_tagged_files); mkid -fID $$unique
788tags: tags-am
789TAGS: tags
790
791tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
792        set x; \
793        here=`pwd`; \
794        $(am__define_uniq_tagged_files); \
795        shift; \
796        if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
797          test -n "$$unique" || unique=$$empty_fix; \
798          if test $$# -gt 0; then \
799            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
800              "$$@" $$unique; \
801          else \
802            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
803              $$unique; \
804          fi; \
805        fi
806ctags: ctags-am
807
808CTAGS: ctags
809ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
810        $(am__define_uniq_tagged_files); \
811        test -z "$(CTAGS_ARGS)$$unique" \
812          || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
813             $$unique
814
815GTAGS:
816        here=`$(am__cd) $(top_builddir) && pwd` \
817          && $(am__cd) $(top_srcdir) \
818          && gtags -i $(GTAGS_ARGS) "$$here"
819cscopelist: cscopelist-am
820
821cscopelist-am: $(am__tagged_files)
822        list='$(am__tagged_files)'; \
823        case "$(srcdir)" in \
824          [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
825          *) sdir=$(subdir)/$(srcdir) ;; \
826        esac; \
827        for i in $$list; do \
828          if test -f "$$i"; then \
829            echo "$(subdir)/$$i"; \
830          else \
831            echo "$$sdir/$$i"; \
832          fi; \
833        done >> $(top_builddir)/cscope.files
834
835distclean-tags:
836        -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
837
838# Recover from deleted '.trs' file; this should ensure that
839# "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
840# both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
841# to avoid problems with "make -n".
842.log.trs:
843        rm -f $< $@
844        $(MAKE) $(AM_MAKEFLAGS) $<
845
846# Leading 'am--fnord' is there to ensure the list of targets does not
847# expand to empty, as could happen e.g. with make check TESTS=''.
848am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
849am--force-recheck:
850        @:
851
852$(TEST_SUITE_LOG): $(TEST_LOGS)
853        @$(am__set_TESTS_bases); \
854        am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
855        redo_bases=`for i in $$bases; do \
856                      am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
857                    done`; \
858        if test -n "$$redo_bases"; then \
859          redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
860          redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
861          if $(am__make_dryrun); then :; else \
862            rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
863          fi; \
864        fi; \
865        if test -n "$$am__remaking_logs"; then \
866          echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
867               "recursion detected" >&2; \
868        elif test -n "$$redo_logs"; then \
869          am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
870        fi; \
871        if $(am__make_dryrun); then :; else \
872          st=0;  \
873          errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
874          for i in $$redo_bases; do \
875            test -f $$i.trs && test -r $$i.trs \
876              || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
877            test -f $$i.log && test -r $$i.log \
878              || { echo "$$errmsg $$i.log" >&2; st=1; }; \
879          done; \
880          test $$st -eq 0 || exit 1; \
881        fi
882        @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
883        ws='[   ]'; \
884        results=`for b in $$bases; do echo $$b.trs; done`; \
885        test -n "$$results" || results=/dev/null; \
886        all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
887        pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
888        fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
889        skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
890        xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
891        xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
892        error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
893        if test `expr $$fail + $$xpass + $$error` -eq 0; then \
894          success=true; \
895        else \
896          success=false; \
897        fi; \
898        br='==================='; br=$$br$$br$$br$$br; \
899        result_count () \
900        { \
901            if test x"$$1" = x"--maybe-color"; then \
902              maybe_colorize=yes; \
903            elif test x"$$1" = x"--no-color"; then \
904              maybe_colorize=no; \
905            else \
906              echo "$@: invalid 'result_count' usage" >&2; exit 4; \
907            fi; \
908            shift; \
909            desc=$$1 count=$$2; \
910            if test $$maybe_colorize = yes && test $$count -gt 0; then \
911              color_start=$$3 color_end=$$std; \
912            else \
913              color_start= color_end=; \
914            fi; \
915            echo "$${color_start}# $$desc $$count$${color_end}"; \
916        }; \
917        create_testsuite_report () \
918        { \
919          result_count $$1 "TOTAL:" $$all   "$$brg"; \
920          result_count $$1 "PASS: " $$pass  "$$grn"; \
921          result_count $$1 "SKIP: " $$skip  "$$blu"; \
922          result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
923          result_count $$1 "FAIL: " $$fail  "$$red"; \
924          result_count $$1 "XPASS:" $$xpass "$$red"; \
925          result_count $$1 "ERROR:" $$error "$$mgn"; \
926        }; \
927        {                                                               \
928          echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |       \
929            $(am__rst_title);                                           \
930          create_testsuite_report --no-color;                           \
931          echo;                                                         \
932          echo ".. contents:: :depth: 2";                               \
933          echo;                                                         \
934          for b in $$bases; do echo $$b; done                           \
935            | $(am__create_global_log);                                 \
936        } >$(TEST_SUITE_LOG).tmp || exit 1;                             \
937        mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);                     \
938        if $$success; then                                              \
939          col="$$grn";                                                  \
940         else                                                           \
941          col="$$red";                                                  \
942          test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);               \
943        fi;                                                             \
944        echo "$${col}$$br$${std}";                                      \
945        echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";   \
946        echo "$${col}$$br$${std}";                                      \
947        create_testsuite_report --maybe-color;                          \
948        echo "$$col$$br$$std";                                          \
949        if $$success; then :; else                                      \
950          echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";         \
951          if test -n "$(PACKAGE_BUGREPORT)"; then                       \
952            echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
953          fi;                                                           \
954          echo "$$col$$br$$std";                                        \
955        fi;                                                             \
956        $$success || exit 1
957
958check-TESTS:
959        @list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
960        @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
961        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
962        @set +e; $(am__set_TESTS_bases); \
963        log_list=`for i in $$bases; do echo $$i.log; done`; \
964        trs_list=`for i in $$bases; do echo $$i.trs; done`; \
965        log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
966        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
967        exit $$?;
968recheck: all $(check_PROGRAMS)
969        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
970        @set +e; $(am__set_TESTS_bases); \
971        bases=`for i in $$bases; do echo $$i; done \
972                 | $(am__list_recheck_tests)` || exit 1; \
973        log_list=`for i in $$bases; do echo $$i.log; done`; \
974        log_list=`echo $$log_list`; \
975        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
976                am__force_recheck=am--force-recheck \
977                TEST_LOGS="$$log_list"; \
978        exit $$?
979.test.log:
980        @p='$<'; \
981        $(am__set_b); \
982        $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
983        --log-file $$b.log --trs-file $$b.trs \
984        $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
985        "$$tst" $(AM_TESTS_FD_REDIRECT)
986#.test$(EXEEXT).log:
987#       @p='$<'; \
988#       $(am__set_b); \
989#       $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
990#       --log-file $$b.log --trs-file $$b.trs \
991#       $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
992#       "$$tst" $(AM_TESTS_FD_REDIRECT)
993
994distdir: $(DISTFILES)
995        @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
996        topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
997        list='$(DISTFILES)'; \
998          dist_files=`for file in $$list; do echo $$file; done | \
999          sed -e "s|^$$srcdirstrip/||;t" \
1000              -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1001        case $$dist_files in \
1002          */*) $(MKDIR_P) `echo "$$dist_files" | \
1003                           sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1004                           sort -u` ;; \
1005        esac; \
1006        for file in $$dist_files; do \
1007          if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1008          if test -d $$d/$$file; then \
1009            dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1010            if test -d "$(distdir)/$$file"; then \
1011              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1012            fi; \
1013            if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1014              cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1015              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1016            fi; \
1017            cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1018          else \
1019            test -f "$(distdir)/$$file" \
1020            || cp -p $$d/$$file "$(distdir)/$$file" \
1021            || exit 1; \
1022          fi; \
1023        done
1024check-am: all-am
1025        $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
1026        $(MAKE) $(AM_MAKEFLAGS) check-TESTS
1027check: check-am
1028all-am: Makefile $(LTLIBRARIES)
1029installdirs:
1030install: install-am
1031install-exec: install-exec-am
1032install-data: install-data-am
1033uninstall: uninstall-am
1034
1035install-am: all-am
1036        @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1037
1038installcheck: installcheck-am
1039install-strip:
1040        if test -z '$(STRIP)'; then \
1041          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1042            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1043              install; \
1044        else \
1045          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1046            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1047            "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1048        fi
1049mostlyclean-generic:
1050        -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
1051        -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
1052        -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1053
1054clean-generic:
1055        -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
1056
1057distclean-generic:
1058        -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1059        -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1060
1061maintainer-clean-generic:
1062        @echo "This command is intended for maintainers to use"
1063        @echo "it deletes files that may require special tools to rebuild."
1064clean: clean-am
1065
1066clean-am: clean-checkPROGRAMS clean-generic clean-libtool \
1067        clean-noinstLTLIBRARIES mostlyclean-am
1068
1069distclean: distclean-am
1070        -rm -rf ./$(DEPDIR)
1071        -rm -f Makefile
1072distclean-am: clean-am distclean-compile distclean-generic \
1073        distclean-tags
1074
1075dvi: dvi-am
1076
1077dvi-am:
1078
1079html: html-am
1080
1081html-am:
1082
1083info: info-am
1084
1085info-am:
1086
1087install-data-am:
1088
1089install-dvi: install-dvi-am
1090
1091install-dvi-am:
1092
1093install-exec-am:
1094
1095install-html: install-html-am
1096
1097install-html-am:
1098
1099install-info: install-info-am
1100
1101install-info-am:
1102
1103install-man:
1104
1105install-pdf: install-pdf-am
1106
1107install-pdf-am:
1108
1109install-ps: install-ps-am
1110
1111install-ps-am:
1112
1113installcheck-am:
1114
1115maintainer-clean: maintainer-clean-am
1116        -rm -rf ./$(DEPDIR)
1117        -rm -f Makefile
1118maintainer-clean-am: distclean-am maintainer-clean-generic
1119
1120mostlyclean: mostlyclean-am
1121
1122mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1123        mostlyclean-libtool
1124
1125pdf: pdf-am
1126
1127pdf-am:
1128
1129ps: ps-am
1130
1131ps-am:
1132
1133uninstall-am:
1134
1135.MAKE: check-am install-am install-strip
1136
1137.PHONY: CTAGS GTAGS TAGS all all-am check check-TESTS check-am clean \
1138        clean-checkPROGRAMS clean-generic clean-libtool \
1139        clean-noinstLTLIBRARIES cscopelist-am ctags ctags-am distclean \
1140        distclean-compile distclean-generic distclean-libtool \
1141        distclean-tags distdir dvi dvi-am html html-am info info-am \
1142        install install-am install-data install-data-am install-dvi \
1143        install-dvi-am install-exec install-exec-am install-html \
1144        install-html-am install-info install-info-am install-man \
1145        install-pdf install-pdf-am install-ps install-ps-am \
1146        install-strip installcheck installcheck-am installdirs \
1147        maintainer-clean maintainer-clean-generic mostlyclean \
1148        mostlyclean-compile mostlyclean-generic mostlyclean-libtool \
1149        pdf pdf-am ps ps-am recheck tags tags-am uninstall \
1150        uninstall-am
1151
1152.PRECIOUS: Makefile
1153
1154
1155$(OBJS): $(top_srcdir)/include/version.h $(top_builddir)/include/autoconf.h
1156
1157# Tell versions [3.59,3.63) of GNU make to not export all variables.
1158# Otherwise a system limit (for SysV at least) may be exceeded.
1159.NOEXPORT:
Note: See TracBrowser for help on using the repository browser.